package tools.descartes.dql.connector.kieker.structures.identifier;

public class ResourceIdentifier extends AbstractIdentifier{
	
	private String resourceName;
	
	
	public String getRessourceName() {
		return resourceName;
	}
	public void setResourceName(String ressourceName) {
		this.resourceName = ressourceName;
	}
	
	private ResourceIdentifier() {} //Constructor disabled
	
	public static ResourceIdentifier createResourceIdentifier(String hostname, String ressourceName){
		ResourceIdentifier resourceIdentifier = new ResourceIdentifier();
		resourceIdentifier.setHostID(hostname);
		resourceIdentifier.setResourceName(ressourceName);
		return resourceIdentifier;
	}
	
	
	@Override
	public String toString() {
		return super.toString() + "\t[R] : " + resourceName;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = super.hashCode();
		result = prime * result
				+ ((resourceName == null) ? 0 : resourceName.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (!super.equals(obj))
			return false;
		if (getClass() != obj.getClass())
			return false;
		ResourceIdentifier other = (ResourceIdentifier) obj;
		if (resourceName == null) {
			if (other.resourceName != null)
				return false;
		} else if (!resourceName.equals(other.resourceName))
			return false;
		return true;
	}	
	
	

}
